Bug 225111 - devel/py-cffi: Update to 1.11.5
Summary: devel/py-cffi: Update to 1.11.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks: 227098
  Show dependency treegraph
 
Reported: 2018-01-12 17:08 UTC by Henrik Hudson
Modified: 2018-04-04 08:53 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
Makefile patch (347 bytes, patch)
2018-01-12 17:08 UTC, Henrik Hudson
koobs: maintainer-approval+
Details | Diff
distinfo patch (431 bytes, patch)
2018-01-12 17:09 UTC, Henrik Hudson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Hudson 2018-01-12 17:08:55 UTC
Created attachment 189656 [details]
Makefile patch

The 1.11.x branch breaks saltstack among other thing. The 1.11.3 release fixes this.
Comment 1 Henrik Hudson 2018-01-12 17:09:18 UTC
Created attachment 189657 [details]
distinfo patch
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-31 03:08:46 UTC
@Henrik Does this need to be merged to the quarterly branch? ie: Are any ports dependent on py-cffi broken in quarterly because of its current version?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-31 03:10:05 UTC
Comment on attachment 189656 [details]
Makefile patch

Approved by: portmgr (maintainer timeout, > 2 weeks (1+ months))
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-31 03:11:08 UTC
(In reply to Kubilay Kocak from comment #3)

I note that version 1.11.5 has beenn released in the meantime. Can you confirm this version also works for / fixes the issue reported?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-01 05:43:02 UTC
For lack a non-maintainer specific flag, add reporter to request feedback per comment 4
Comment 6 Henrik Hudson 2018-04-02 04:33:20 UTC
I was having issues with sysutils/py-salt until I upgraded and have been running a local build of 1.11.3 since I put the ticket in.

I'll do a build tomorrow with 1.11.5 and let you know.
Comment 7 Henrik Hudson 2018-04-04 05:44:30 UTC
I see no issues with 1.11.5 and basic saltstack functionality still works.

The only change to the Makefile was the version.
Comment 8 commit-hook freebsd_committer 2018-04-04 08:47:39 UTC
A commit references this bug:

Author: koobs
Date: Wed Apr  4 08:46:19 UTC 2018
New revision: 466405
URL: https://svnweb.freebsd.org/changeset/ports/466405

Log:
  devel/py-cffi: Update to 1.11.5

  While I'm here, remove post-patch target (upstreamed)

  Changelog:

    https://cffi.readthedocs.io/en/latest/whatsnew.html#v1-11-5

  PR:		225111
  Submitted by:	Henrik Hudson <ports thelanman net> (with changes)
  Approved by:	portmgr (maintainer timeout, > 2 weeks (1+ months))

Changes:
  head/devel/py-cffi/Makefile
  head/devel/py-cffi/distinfo
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-04 08:53:17 UTC
Committed, thanks you Henrik